Car name: Crankenwagon
Author name: MightyCucumber
Created: February 18, 2018
-------------------------
Class: Semi-Pro
Max Speed: 35 mph
-------------------------
Frankenstein + Crank + Wagon = Crankenwagon :P
Enjoy!
-------------------------
PS: Both carbox and car textures have normal (for RV purists ;) ) and HD versions, I forgot to mention that when I made the upload.